/*
  +----------------------------------------------------------------------+
  | PHP Version 7                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2017 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: krakjoe                                                      |
  +----------------------------------------------------------------------+
*/

/* $Id$ */

#ifndef PHP_WKHTMLTOX_H
#define PHP_WKHTMLTOX_H

extern zend_module_entry wkhtmltox_module_entry;
#define phpext_wkhtmltox_ptr &wkhtmltox_module_entry

#define PHP_WKHTMLTOX_VERSION "0.3.2-dev"

#ifdef PHP_WIN32
#	define PHP_WKHTMLTOX_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#	define PHP_WKHTMLTOX_API __attribute__ ((visibility("default")))
#else
#	define PHP_WKHTMLTOX_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#if defined(ZTS) && defined(COMPILE_DL_WKHTMLTOX)
ZEND_TSRMLS_CACHE_EXTERN()
#endif

ZEND_BEGIN_MODULE_GLOBALS(wkhtmltox)
	zend_bool graphics;
ZEND_END_MODULE_GLOBALS(wkhtmltox)

ZEND_EXTERN_MODULE_GLOBALS(wkhtmltox);

#ifdef ZTS
#define WG(v) TSRMG(wkhtmltox_globals_id, zend_wkhtmltox_globals *, v)
#else
#define WG(v) (wkhtmltox_globals.v)
#endif

#endif	/* PHP_WKHTMLTOX_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
